Subject: Call for Feedback on the current IETF Liaison to the ICANN Board of Directors

From: IAB Executive Administrative Manager <[email-masked]>
Date: Wed, 15 Apr 2020 10:15:12 -0700

The IAB has an oversight responsibility for the technical liaison 
relationships with other organizations concerned with standards and 
other technical and organizational issues relevant to the world-wide 
Internet. As part of this responsibility, the IAB is soliciting comments
from the community on the performance of the current IETF Liaison 
to the ICANN Board of Directors, Harald Alvestrand.  We are interested
in comments on what has gone well or badly in the last two years. Harald 
has been serving in the position since October 2018.

Please send comments to [email-masked] and [email-masked].

The IAB would appreciate receiving comments by Tuesday, 2020-05-12 at 
2359 UTC.

Best regards,
Cindy Morgan, for the IAB